package Thirdlane::AMI::XS;

use strict;
use warnings;

use EV ();

require Exporter;
use AutoLoader;

our @ISA = qw(Exporter);

our %EXPORT_TAGS = ( 'all' => [ qw(
	to_packet
	ami_init
	ami_connect
	ami_on_event
	ami_on_connect
	ami_on_error
	ami_on_disconect
	ami_on_connect_error
	ami_on_timeout
	ami_fd
	ami_write
	ami_disconnect
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = ();

our $VERSION = '0.01';

require XSLoader;
XSLoader::load('Thirdlane::AMI::XS', $VERSION);

1;
__END__

=head1 NAME

Thirdlane::AMI::XS - Perl XS extension for Asterisk AMI

=head1 SYNOPSIS

  use Thirdlane::AMI::XS;

=head1 DESCRIPTION

Documentation for Thirdlane::AMI::XS.

=head2 EXPORT

None by default.

=back


=head1 SEE ALSO

Mention other useful documentation.

=head1 AUTHOR

tldevel, E<lt>tldevel@xdmcpnode2.home.enslaver.netE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2020 by Thirdlane

=cut
